#include    "stm32F10x.h"

struct RegisterAxis{
	//----main variable---------------------------------------------------------
	//u32 TotalSteps;
	//u32 WormSteps;
	u32 Encoder; //   
	u32 Goto; //  ,  GOTO-
	u8  StatusGoto; //  GOTO- (1-, 0-)
	u16 Speed; //   ()
	u16 SpeedGuideUp; //   +
	u16 SpeedGuideDw; //   -
	//u8  GuideRate; //     ST-4
	u8  Mode; //  
	u8  Enable; //  
	u8  ControlON; // - -
	u8  StatusON; //  - -
	//----constant--------------------------------------------------------------
	u32 BeginBraking; //     
	u32 GotoBegin800x; //     GOTO   800
	u16 Speed_1x; //    1
	//u16 Speed_50x; //   - 50x
	float K1; //     () EQMOD
	float K2; //      EQMOD
	//----auxiliary variable----------------------------------------------------
	u32 temp32;
	u8  temp8;
};

int eqmod (u8 *buffRx, u8 *buffTx, struct RegisterAxis *ra, struct RegisterAxis *dec);